<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_aux_unid.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $unidade = $_POST['unidade'];
    $setor = $_POST['setor'];
    $funcao = $_POST['funcao'];
    $p_nome = $_POST['p_nome'];
    $u_nome = $_POST['u_nome'];
    $nome_c = $_POST['nome_c'];
    $email_1 = $_POST['email_1'];
    $email_2 = $_POST['email_2'];
    $tel_d = $_POST['tel_d'];
    $tel_1 = $_POST['tel_1'];
    $tel_2 = $_POST['tel_2'];
    $cel_d = $_POST['cel_d'];
    $cel_1 = $_POST['cel_1'];
    $cel_2 = $_POST['cel_2'];
    $cont = (isset($_POST['cont'])) ? 1 : 0;
    $busca_p_nome=$pdo_sgt->prepare("SELECT * FROM tb_funcionarios WHERE p_nome=:p_nome AND ativo=:ativo");
    $busca_p_nome->bindValue(":p_nome",$p_nome);
    $busca_p_nome->bindValue(":ativo","1");
    $busca_p_nome->execute();
    $dados_p_nome=$busca_p_nome->fetch(PDO::FETCH_ASSOC);
    $busca_u_nome=$pdo_sgt->prepare("SELECT * FROM tb_funcionarios WHERE u_nome=:u_nome AND ativo=:ativo");
    $busca_u_nome->bindValue(":u_nome",$u_nome);
    $busca_u_nome->bindValue(":ativo","1");
    $busca_u_nome->execute();
    $dados_u_nome=$busca_u_nome->fetch(PDO::FETCH_ASSOC);
    if($dados_p_nome['p_nome'] == $p_nome && $dados_u_nome['u_nome'] == $u_nome){
        echo"<script language='javascript' type='text/javascript'>
            alert('Este nome: ".$p_nome." com o sobrenome: ".$u_nome." já existe!');
            window.history.go(-1)>Volta;
        </script>";
        die();
    }else{
        $query_ = "INSERT
            INTO tb_funcionarios (unidade,setor,funcao,p_nome,u_nome,nome_c,email_1,email_2,tel_d,tel_p,tel_u,cel_d,cel_p,cel_u,cont)
            VALUES (:unidade,:setor,:funcao,:p_nome,:u_nome,:nome_c,:email_1,:email_2,:tel_d,:tel_p,:tel_u,:cel_d,:cel_p,:cel_u,:cont)";
        $query=$pdo_sgt->prepare("$query_");
        $query->bindValue(":unidade",$unidade);
        $query->bindValue(":setor",$setor);
        $query->bindValue(":funcao",$funcao);
        $query->bindValue(":p_nome",$p_nome);
        $query->bindValue(":u_nome",$u_nome);
        $query->bindValue(":nome_c",$nome_c);
        $query->bindValue(":email_1",$email_1);
        $query->bindValue(":email_2",$email_2);
        $query->bindValue(":tel_d",$tel_d);
        $query->bindValue(":tel_p",$tel_1);
        $query->bindValue(":tel_u",$tel_2);
        $query->bindValue(":cel_d",$cel_d);
        $query->bindValue(":cel_p",$cel_1);
        $query->bindValue(":cel_u",$cel_2);
        $query->bindValue(":cont",$cont);
        $query->execute();
        $mensagem = "Dados inseridos na tabela: tb_funcionarios - "
            . "Para os campos: unidade, setor, funcao, p_nome, u_nome, nome_c, email_1, email_2, tel_d, tel_p, tel_u, cel_d, cel_p, cel_u, cont - "
            . "Com os seguintes valores: $unidade, $setor, $funcao, $p_nome, $u_nome, $nome_c, $email_1, $email_2, $tel_d, $tel_1, $tel_2, $cel_d, $cel_1, $cel_2, $cont.";
        salvaLog($mensagem);
        echo"<script language='javascript' type='text/javascript'>
            window.location.href='list_func.php';
        </script>";
    }	
?>